Bug 713694 - CVE-2011-2197 rubygem-activesupport: XSS due improper management of safe buffers [fedora-15]
CVE-2011-2197 rubygem-activesupport: XSS due improper management of safe buff...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rubygem-activesupport (Show other bugs)
15
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mo Morsi
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2011-2197
  Show dependency treegraph
 
Reported: 2011-06-16 05:23 EDT by Jan Lieskovsky
Modified: 2011-07-12 00:59 EDT (History)
5 users (show)

See Also:
Fixed In Version: rubygem-actionpack-3.0.5-3.fc15
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 17:51:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-06-16 05:23:24 EDT
fedora-15 tracking bug for rubygem-activesupport: see blocks bug list for full details of the security issue(s).

This bug is never intended to be made public, please put any public notes
in the 'blocks' bugs.


[bug automatically created by: add-tracking-bugs]
Comment 1 Fedora Update System 2011-06-16 20:46:54 EDT
rubygem-activesupport-3.0.5-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rubygem-activesupport-3.0.5-3.fc15
Comment 2 Fedora Update System 2011-06-21 13:42:48 EDT
Package rubygem-activesupport-3.0.5-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rubygem-activesupport-3.0.5-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/rubygem-activesupport-3.0.5-3.fc15
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2011-06-23 16:26:05 EDT
rubygem-actionpack-3.0.5-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rubygem-actionpack-3.0.5-3.fc15
Comment 4 Fedora Update System 2011-06-29 17:51:12 EDT
rubygem-activesupport-3.0.5-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2011-07-12 00:59:05 EDT
rubygem-actionpack-3.0.5-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.